Package org.apache.storm.scheduler.resource.strategies.scheduling.sorter

## Class ExecSorterByConstraintSeverity

- java.lang.Object
- - org.apache.storm.scheduler.resource.strategies.scheduling.sorter.ExecSorterByConstraintSeverity

- All Implemented Interfaces:
    `IExecSorter`

      public class ExecSorterByConstraintSeverity
      extends Object
      implements IExecSorter

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExecSorterByConstraintSeverity​(Cluster cluster, TopologyDetails topologyDetails)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected <K extends Comparable<K>,​V extends Comparable<V>> NavigableMap<K,​V>` | `sortByValues​(Map<K,​V> map)` | Used to sort a Map by the values - higher values up front.
    `List<ExecutorDetails>` | `sortExecutors​(Set<ExecutorDetails> unassignedExecutors)` | Sort the supplied unique collection of ExecutorDetails in the order in which they should be scheduled.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecSorterByConstraintSeverity

          public ExecSorterByConstraintSeverity​(Cluster cluster,
                                                TopologyDetails topologyDetails)

  - ### Method Detail

    - #### sortExecutors

          public List<ExecutorDetails> sortExecutors​(Set<ExecutorDetails> unassignedExecutors)

      Description copied from interface: `IExecSorter`
      Sort the supplied unique collection of ExecutorDetails in the order in which they should be scheduled. Both the input and output collections contain the same number of unique ExecutorDetails.
      Specified by:
        `sortExecutors` in interface `IExecSorter`
      Parameters:
        `unassignedExecutors` - an unmodifiable set of executors that need to be scheduled.
      Returns:
        a list of executors in sorted order for scheduling.

    - #### sortByValues

          protected <K extends Comparable<K>,​V extends Comparable<V>> NavigableMap<K,​V> sortByValues​(Map<K,​V> map)

      Used to sort a Map by the values - higher values up front.